Bug 1048719 - Minor error in 'dnf --help', using the package name Yum instead of dnf
Summary: Minor error in 'dnf --help', using the package name Yum instead of dnf
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 20
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 08:48 UTC by Lars E. Pettersson
Modified: 2014-09-30 23:42 UTC (History)
5 users (show)

Fixed In Version: dnf-0.4.11-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 08:47:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lars E. Pettersson 2014-01-06 08:48:18 UTC
Description of problem:

If you issue 'dnf --help' the package name Yum is used instead of dnf.

Version-Release number of selected component (if applicable):

dnf-0.4.10-1.fc20.noarch

How reproducible:

Always

Steps to Reproduce:
1. dnf --help
2.
3.

Actual results:

$ dnf --help | grep Yum
  --version             show Yum version and exit

Expected results:

$ dnf --help | grep version
  --version             show dnf and rpm version and exit

Additional info:

Comment 1 Ales Kozumplik 2014-01-06 08:54:09 UTC
Fixed upstream by 6ce88c3.

Comment 2 Fedora Update System 2014-01-09 14:40:00 UTC
dnf-0.4.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.11-1.fc20

Comment 3 lnie 2014-01-10 06:20:14 UTC
dnf-0.4.11-1.fc20 works

Comment 4 Fedora Update System 2014-01-10 08:00:04 UTC
Package dnf-0.4.11-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.11-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0573/dnf-0.4.11-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-11 08:47:58 UTC
dnf-0.4.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.